Users who enable "Automatically enable all new beta features" should have the 2017 wikitext editor beta feature enabled
Closed, ResolvedPublic1 Story Points

Description

If a user has ticked the "Automatically enable all new beta features" box, then they incorrectly don't get the 2017 wikitext editor beta feature in spite of having explicitly opted in to all beta features. This is counterintuitive, and we should change this.

Deskana created this task.Sep 18 2017, 9:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2017, 9:47 PM
Deskana triaged this task as Normal priority.Sep 19 2017, 6:33 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana set the point value for this task to 0.Sep 19 2017, 6:42 PM

Change 379228 had a related patch set uploaded (by Deskana; owner: Deskana):
[mediawiki/extensions/VisualEditor@master] "Automatically enable all new beta features" should enable 2017 editor

https://gerrit.wikimedia.org/r/379228

Deskana changed the point value for this task from 0 to 1.Sep 20 2017, 3:20 PM
Johan added a subscriber: Johan.Sep 21 2017, 9:59 AM

@Deskana Will this take effect next week, or later?

@Johan I had planned for it to be next week when I added the tag, but the plans changed and it will actually be the week after now, i.e. week starting Monday 2nd October.

Jdforrester-WMF closed this task as Resolved.Tue, Sep 26, 10:52 PM
Jdforrester-WMF assigned this task to Deskana.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Sep 26, 10:52 PM

Change 379228 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] "Automatically enable all new beta features" should enable 2017 editor

https://gerrit.wikimedia.org/r/379228